NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_urldecode(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_urldecode - URL decoding

## Table Of Contents

## Synopsis

- ns_urldecode ?-charset charset? ?-part part? string

## Description

This command decodes a string according to the rules for URL encoding defined in RFC #1738, Uniform Resource Locators.

## COMMANDS

ns_urldecode ?-charset charset? ?-part part? string

The option charset can be used to specify the character set of the decode operation. Option part is used to specify the query (default) or path encoding.

## See Also

ns_charsets, ns_urlcharset, ns_urlencode, nsd

## Keywords

charset, encoding, url